> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Environment

> 
Rename an existing environment. Use when consolidating or reorganizing deployment targets.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json patch /api/v2/environments/{environment_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/environments/{environment_id}:
    patch:
      tags:
        - Configuration
      summary: Update Environment
      description: >-

        Rename an existing environment. Use when consolidating or reorganizing
        deployment targets.
      operationId: patch_update_environment
      parameters:
        - name: environment_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  title: Name
                  type: string
              required:
                - name
              title: UpdateEnvironmentRequest
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                required:
                  - id
                  - name
                title: EnvironmentInfo
                type: object
          description: 'EnvironmentInfo(id: uuid.UUID, name: str)'
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````